Login
Username:

Password:

Remember me



Lost Password?

Register now!

Sections

Who's Online
71 user(s) are online (57 user(s) are browsing Forums)

Members: 0
Guests: 71

more...

Headlines

 
  Register To Post  

« 1 (2) 3 4 5 »
Re: AmiUpdate 2.50
Supreme Council
Supreme Council


See User information
That is very strange, I have checked and I'm definitely passing the right tags.No-one else has reported the problem, and my "public" sam440 is fine.

So I've no idea why it's only you...

Simon

Comments made in any post are personal opinion, and are in no-way representative of any commercial entity unless specifically stated as such.
----
http://codebench.co.uk
Go to top
Re: AmiUpdate 2.50
Just can't stay away
Just can't stay away


See User information
(Forget this, I've misread.)

The Rear Window blog

AmigaOne X5000 @ 2GHz / 4GB RAM / Radeon RX 560 / ESI Juli@ / AmigaOS 4.1 Final Edition
SAM440ep-flex @ 667MHz / 1GB RAM / Radeon 9250 / AmigaOS 4.1 Final Edition
Go to top
Re: AmiUpdate 2.50
Just popping in
Just popping in


See User information
@Rigo

Works fine here.
But you should fix the date in the readme: 06.04.2024...?
;)

Go to top
Re: AmiUpdate 2.50
Just popping in
Just popping in


See User information
Does it need V2.50 installed to see the 2.51 update?
I don't see the update anymore from 2.49!

Regards,

Go to top
Re: AmiUpdate 2.50
Just popping in
Just popping in


See User information
@Petrol

I had version 2.49 installed and jumped right to version 2.51.
But if I remember right, AmiUpdate showed only version 2.50.

Detailed list of changes:
https://www.amiga-news.de/en/news/AN-2024-02-00038-EN.html

Go to top
Re: AmiUpdate 2.50
Just popping in
Just popping in


See User information
@Rigo

Several people reported the same issue in this thread (sailor,
Maijestro, AlfredOne).

So, it is not just me...

Go to top
Re: AmiUpdate 2.50
Just popping in
Just popping in


See User information
In the log, after connecting to server, I've got an HTTPFetch error.

Go to top
Re: AmiUpdate 2.50
Just popping in
Just popping in


See User information
@Rigo:

The pop-up window with the error message only appears if you activated "Start iconified (recommended)" and start AmiUpdate a second time (either by clicking on the Icon in the sys:System/AmiUpdate directory, Icon on AmiDock - not the docky, or using the Windows->Update Software menu).

Clicking on the AmiDock Docky does nothing but changing the icon to an arrow pointing down. Therefore clicking on the docky will not trigger the issue.

When I deactivate the option, the error window will not show and AmiUpdate starts fine.

Go to top
Re: AmiUpdate 2.50
Quite a regular
Quite a regular


See User information
I am currently at AmiUpdate 2.49 and do not see any update available for AmiUpdate.

---
redfox

Go to top
Re: AmiUpdate 2.50
Quite a regular
Quite a regular


See User information
@Rigo

Here you can see the problems with AmiUpdate 2.50/2.51 if you want to start it from the dock with the setting "Start iconified (recommended)" via AmiDock.

Since it affects at least 4 people here, they should check it out. You can also contact me privately and I will do all the testing for you.

It may help you to better understand the problem and what exactly is happening.....


Edited by Maijestro on 2024/2/11 7:52:02
MacStudio ARM M1 Max Qemu//Pegasos2 AmigaOs4.1 FE
Go to top
Re: AmiUpdate 2.50
Quite a regular
Quite a regular


See User information
@Rigo

Normally, I start AmiUpdate iconified. This places an icon below my list of partitions.

I was using AmiUpdate 2.49 and did not see the new update.


As an experiment, I downloaded AmiUpdate_upd.lha using IBrowse, unarchived the lha file into RAM: and manually copied the related files over to my AmiUpdate drawer and new update.library over to Libs.


First launch gave me the error that others have reported...

- application library has warning window:

The application "AmiUpdate" has opened version 2 of the interface "application", but tried to pass version 1 tag definitions to application.lib!

The following seems to confirm what FlynnTheAvatar found...

I removed the checkmark from Start iconified option and saved.

After that, AmiUpdate ran fine with no error message.

I still like the start iconified option, but this seems to work fine as a temporary fix.

---
redfox

Go to top
Re: AmiUpdate 2.50
Not too shy to talk
Not too shy to talk


See User information
@Maijestro

I can report the same problem with AmiDock here. The way I get around it is to open AmiUpdate from the WB menu again, but then I get the 'version 2, version 1' error. However, after clicking through the error requestor, AmiUpdate works as well as usual.

Valiant@Camelot
AmigaOne XE, 800Mhz, 1GB, 9250 Radeon, OS4.1u7
Sam440ep, 666Mhz, 512Mb, 9250 Radeon, OS4.1u6
A1-X1000, 1.8Ghz, 1GB, 9250 Radeon, OS4.1x
A1-X5000/40 2.2Ghz, 2GB, Radeon HD 7700, OS4.1 FE ud 2
Go to top
Re: AmiUpdate 2.50
Home away from home
Home away from home


See User information
Yes, i can confirm i have same issues as others

@Rigo
Quote:

No-one else has reported the problem


That only because we have almost none active users :) But once things start to be tested, ppls find what they find.

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: AmiUpdate 2.50
Quite a regular
Quite a regular


See User information
Yep, here same happens having in prefs "Iconify as: Docky" option then I get such requester:
"...application "Amiupdate" has openend version 2 of IFace "application", but tried to pass v1 tags...."

Go to top
Re: AmiUpdate 2.50
Just popping in
Just popping in


See User information
@Rigo

I can confirm that with version 2.50 installed, the update to version 2.51 does not appear to be available.

Go to top
Re: AmiUpdate 2.50
Supreme Council
Supreme Council


See User information
OK, so after a bit of a marathon, I found the problem.

It appears that later updates to application.library now always use the V2 interface in the docky routines.

As I was trying to keep 4.0 compatibility, I was using the "old" tag values, which is what threw up the error. So it seems I am no longer able to keep compatibility with 4.0, but as I very much doubt anyone is actually using that now, I can't see it being a real problem.

Testing it here looks fine on both machines, so 2.52 should fix this problem.

As for updates not showing up, that's very weird. There shouldn't be any reason to stop anyone seeing it unless you have the latest version????

As for connection problems to www.amiupdate.net, I'm lost with this. One day it seems to work, next it doesn't. I'm no DNS wizard, but AFAICS everything looks like it should work, so....

In order to stop this in the future, I have implemented a simple "nslookup" which should hopefully stop this ever again. 2.52 will be an absolute minimum for this to work, but should be future proof.

Fingers crossed.

I just want to test things a bit more before making it public. I will also update the full archive on the "downloads" page to include this new version,so everyone should be able to get it one way or the other.

Thanks for you patience

Simon

Comments made in any post are personal opinion, and are in no-way representative of any commercial entity unless specifically stated as such.
----
http://codebench.co.uk
Go to top
Re: AmiUpdate 2.50
Quite a regular
Quite a regular


See User information
@Rigo

That's great news. If you need help with testing, just let me know.

Thank you very much for the great development of AmiUpdate.

MacStudio ARM M1 Max Qemu//Pegasos2 AmigaOs4.1 FE
Go to top
Re: AmiUpdate 2.50
Not too shy to talk
Not too shy to talk


See User information
@Rigo

What is the main reason behind "Start Iconified"?
If I start an app I want to see it and use it.

But thank you for AmiUpdate, will always remember the
first release and integration into AmigaOS4, it was a gamechanger.

This year AmigaOS4 is 20 years old!
Cheers to all users!

1989-> A500, A600, A3000, A4000, A1200, CD32, µA1, PegII, A1XE, CDTV, Amy/416D79, A1X5000, Vampire 500 V2+, Vampire 600 V2, Amy-ITX, Denise ITX <-2023
Go to top
Re: AmiUpdate 2.50
Supreme Council
Supreme Council


See User information
@khayoz

The logic behind starting iconified, is that the application can then run in the background, and perform scans at scheduled times. These can be set up from the preferences editor.

Personally, I don't use it either, but it was requested many years ago.

@all

The 2.52 update is now live. I've noticed there are a number of bugs on the bug tracker that could do with checking. So if you have any outstanding ones, and have some time, please recheck with 2.52.

Simon

Comments made in any post are personal opinion, and are in no-way representative of any commercial entity unless specifically stated as such.
----
http://codebench.co.uk
Go to top
Re: AmiUpdate 2.50
Just popping in
Just popping in


See User information
@Rigo

Strange: now the whole website is not working any longer...:
http://codebench.co.uk/amiupdate_website/index.php?page=home

And AmiUpdate.net as well...


Edited by Primax on 2024/2/11 6:47:05
Go to top

  Register To Post
« 1 (2) 3 4 5 »

 




Currently Active Users Viewing This Thread: 1 ( 0 members and 1 Anonymous Users )




Powered by XOOPS 2.0 © 2001-2023 The XOOPS Project